#
# spec file for package fastlzlib
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
%define sover 1
%define libname libfastlz%{sover}
Name:           fastlzlib
Version:        0.0+git.20150524
Release:        bp160.1.7
Summary:        Zlib-like encapsulation interface to LZ4/FastLZ
License:        BSD-2-Clause
URL:            https://github.com/bareos/fastlzlib
Source:         %{name}-%{version}.tar.xz
Source1:        baselibs.conf
BuildRequires:  zlib-devel
%{?suse_build_hwcaps_libs}

%description
A library that bundles and wraps LZ4 and FastLZ in a zlib-like interface.

%package -n %{libname}
Summary:        Zlib-like encapsulation interface to LZ4/FastLZ
Group:          Development/Libraries/C and C++

%description -n %{libname}
A library that bundles and wraps LZ4 and FastLZ in a zlib-like interface.

%package devel
Summary:        Development files for the "fastlzlib" compression library
Group:          Development/Libraries/C and C++
Requires:       %{libname} = %{version}
Conflicts:      liblz4-devel

%description devel
Header files for the fastlzlib library, a library that bundles and
wraps LZ4 and FastLZ in a zlib-like interface.

%prep
%autosetup

%build
%configure \
  --disable-static
%make_build

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print
rm -rf %{buildroot}%{_datadir}/doc/libfastlz

%ldconfig_scriptlets -n %{libname}

%files
%{_bindir}/fastlzcat

%files -n %{libname}
%license COPYING
%doc README
%{_libdir}/libfastlz.so.%{sover}*

%files devel
%license COPYING
%{_includedir}/*
%{_libdir}/libfastlz.so

%changelog
* Mon Feb  5 2024 Martin Pluskal <mpluskal@suse.com>
- Modernise spec file
- Build AVX2 enabled hwcaps library for x86_64-v3
* Wed May 30 2018 jengelh@inai.de
- Update descriptions to reflect this is not just an interface,
  but a library on its own.
- Rename %%soname to %%sover to better reflect its use.
* Tue May 29 2018 mpluskal@suse.com
- Modernise spec file with spec-cleaner
- Add conflict for devel package
- Drop empty documentation
* Fri Nov 10 2017 mpluskal@suse.com
- Rename package
- Use _service for fetching source
- Use correct upstream urls
- Update to version 0.0+git.20150512:
  * Upgraded LZ4 to r127
  * Fixed for crappy AIX.
  * Manually merged 9090cda92ce3a119ad3b5aad491b8545a87fa103 by mvwieringen   * "Make fastlzlib.h usable for C++" [as zlib.h is]
  * Synchronized LZ4 code to r90 (http://code.google.com/p/lz4/)
  * Manually merged 8c4cdb259a0b0f1d4b92f86d80df8e9242d5a505 by mvwieringen   * "The zlib deflateResetKeep that is called from deflateReset of which fastlzlibReset is an equivalence off resets more fields so added resetting these fields in fastlzlibReset too"
  * Removed unused zlibLevelToFastlz()
  * Use real zlib compression levels At level Z_BEST_COMPRESSION, LZ4 backend uses LZ4_compressHC() (lz4HC with high performance decompression) The fastLZ backend is now optional
  * Build cleanup.
  * Moved LZ4 and FastLZ code in subfolders so that the build is not too messy.
  * Cleaned a little bit the build.
* Thu Nov  9 2017 joop.boonen@opensuse.org
- Used the bareos spec file
- Cleaned the spec file
